<template>
  <div class="detail">
    <div v-if="detail">
      <h1>{{detail.nombre}}</h1>
      <img :src="detail.file">
      <p>{{detail.color}}</p>
      <p>{{detail.tamano}}</p>
    </div>
  </div>
</template>

<script setup>
import { ref, onMounted } from 'vue'

let detail = ref({})

const fetchData = async () => {

  try {

    let resp = await(await fetch(`http://localhost/pruebaTecnicaAnaMariaCuevas/backend/public/index.php/api/perro/${1}`)).json()

    detail.value = resp

  } catch (e) {

    console.log(e)

  }

}

onMounted(() => {
  fetchData()
})
</script>

<style lang="scss">
img {
  width: 100%;
  max-height: 350px;
  object-fit:cover;
}
</style>
